<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ClientSelectCheckAll.aspx.cs"
    Inherits="ClientSelectCheckAll" %>

<%@ Register TagPrefix="radG" Namespace="Telerik.WebControls" Assembly="RadGrid.Net2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>GridClientSelectColumn -- (un)select "Select All" check box automatically</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <script type="text/javascript">
                var grid;
                function GridCreated()
                {
                    grid = this;
                }
                
                function RowSelected()
                {
                    if (grid.MasterTableView.SelectedRows.length == grid.MasterTableView.Rows.length)
                    {
                        setCheckBox(true);
                    }
                }
                
                function RowDeselected()
                {
                    if (grid.MasterTableView.SelectedRows.length < grid.MasterTableView.Rows.length)
                    {
                        setCheckBox(false);
                    }
                }
                
                function setCheckBox(toCheck)
                {
                    var checkBoxID = document.getElementById("hf1").value;
                    var checkBox = document.getElementById(checkBoxID);
                    checkBox.checked = toCheck;
                }
            </script>
            <radG:RadGrid ID="RadGrid1" runat="server" AllowMultiRowSelection="True" AllowPaging="true"
                OnItemCreated="RadGrid1_ItemCreated" DataSourceID="AccessDataSource1">
                <MasterTableView>
                    <Columns>
                        <radG:GridClientSelectColumn UniqueName="ClientSelectColumn" />
                    </Columns>
                </MasterTableView>
                <ClientSettings ApplyStylesOnClient="true">
                    <Selecting EnableDragToSelectRows="true" AllowRowSelect="true" />
                    <ClientEvents OnGridCreated="GridCreated" OnRowSelected="RowSelected" OnRowDeselected="RowDeselected"/>
                </ClientSettings>
            </radG:RadGrid>
            <asp:HiddenField ID="hf1" runat="server" />            
    	    <br />
            <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/App_Data/Nwind.mdb"
                SelectCommand="SELECT CustomerID, CompanyName, ContactName, ContactTitle, Address, PostalCode FROM Customers"
                runat="server">
            </asp:AccessDataSource>
        </div>
    </form>
</body>
</html>
